Skip to main content
GET
/
v1
/
functions
/
{functionId}
/
logs
Tail function logs
curl --request GET \
  --url https://api.zavu.dev/v1/functions/{functionId}/logs \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "message": "<string>"
    }
  ],
  "nextToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zavu.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

functionId
string
required

Zavu Function ID.

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 1000
nextToken
string
startTime
integer<int64>

Start of the log window in Unix epoch milliseconds.

endTime
integer<int64>

End of the log window in Unix epoch milliseconds.

filterPattern
string

Response

Log events.

events
object[]
required
nextToken
string | null

Pass to the next request to fetch the following page of logs.